PPL: Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator Class Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator Class Reference

`#include <ppl.hh>`

Inherits const_iterator_interface.

## Public Member Functions
virtual const_iterator_interface * | clone () const
virtual void | operator++ ()
virtual void | operator-- ()
virtual reference | operator* () const
| Returns the current element.
virtual Variable | variable () const
| Returns the variable of the coefficient pointed to by `*this`. More...
virtual bool | operator== (const const_iterator_interface &x) const
| Compares `*this` with x . More...

## Detailed Description

### template<typename Row>
class Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator

An interface for const iterators on the expression (homogeneous) coefficients that are nonzero.

These iterators are invalidated by operations that modify the expression.

## Member Function Documentation

template<typename Row >

Linear_Expression_Interface::const_iterator_interface * Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator::clone | ( |  | ) | const
| virtual

Returns a copy of *this. This returns a pointer to dynamic-allocated memory. The caller has the duty to free the memory when it's not needed anymore.

template<typename Row >

void Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator::operator++ | ( |  | ) |
| virtual

Navigates to the next nonzero coefficient. Note that this method does *not* return a reference, to increase efficiency since it's virtual.

template<typename Row >

void Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator::operator-- | ( |  | ) |
| virtual

Navigates to the previous nonzero coefficient. Note that this method does *not* return a reference, to increase efficiency since it's virtual.

template<typename Row >

Variable Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator::variable | ( |  | ) | const
| virtual

Returns the variable of the coefficient pointed to by `*this`.

Returns
  the variable of the coefficient pointed to by `*this`.

template<typename Row >

bool Parma_Polyhedra_Library::Linear_Expression_Impl< Row >::const_iterator::operator== | ( | const const_iterator_interface & | x | ) | const
| virtual

Compares `*this` with x .

Parameters

  x | The iterator that will be compared with *this.

The documentation for this class was generated from the following file:

- ppl.hh